- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ApproximateBeliefState::BSUObjectiveFunction Class Reference

`#include <BSUObjectiveFunction.h>`

Inheritance diagram for Mers::Estimation::Discrete::ApproximateBeliefState::BSUObjectiveFunction:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::ApproximateBeliefState::BSUObjectiveFunction:

[legend]
List of all members.

## Public Member Functions
| BSUObjectiveFunction (Mers::Models::Base::BaseModelVariableArray const *dVs, const std::map< unsigned int, unsigned int > pMap, std::vector< double > allTransProbs, std::map< unsigned int, double > sProbs, std::vector< const Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule * > &theObsProbabilityRules)
virtual | ~BSUObjectiveFunction ()
## Protected Member Functions
virtual double | calculateUtility (std::vector< Mers::Models::Base::BaseModelAssignment const * > &implicantAssignments, int sourceStateIndex=-1) const

## Detailed Description

The Belief State Enumeration Objective Function with Observation Probabilities

This class sets of the OCSP objective function for belief state enumeration based on the HMM belief state update equations using both propogate and update equations. This objective function is used by BFIG to enumerate estimates in best first order.

Author:
  Oliver Martin

Date:
  04/18/05

Definition at line 54 of file BSUObjectiveFunction.h.

## Constructor & Destructor Documentation

Mers::Estimation::Discrete::ApproximateBeliefState::BSUObjectiveFunction::BSUObjectiveFunction | ( | Mers::Models::Base::BaseModelVariableArray const * | dVs,
|  | const std::map< unsigned int, unsigned int > | pMap,
|  | std::vector< double > | allTransProbs,
|  | std::map< unsigned int, double > | sProbs,
|  | std::vector< const Mers::Estimation::Discrete::ProbabilityRules::ObsProbRule * > & | theObsProbabilityRules |
| ) |  |  |

Creates a new Belief State Enumeration Objective Function. Gathers all the relevant information and sets up the optimistic estimate h(x) for unassigned variables

Parameters:

  | pMap | is a mapping from BaseModeVariableUID to the index of the probability for the first element in that variable's domain.
  | allTransProbs | all the transition probabilities to every mode in every component from every source mode. This vector can be decomposed using pMap
  | sProbs | are the current posterior state probabilities
  | oRuleTrigger | the observation probability rule trigger

BSUObjectiveFunction::~BSUObjectiveFunction | ( |  | ) | `[virtual]`

Destroys this object

- Includes the probability rule trigger

Definition at line 58 of file BSUObjectiveFunction.cpp.

## Member Function Documentation

virtual double Mers::Estimation::Discrete::ApproximateBeliefState::BSUObjectiveFunction::calculateUtility | ( | std::vector< Mers::Models::Base::BaseModelAssignment const * > & | implicantAssignments,
|  | int | sourceStateIndex = `-1` |
| ) |  |  | const`[protected, virtual]`

Evaluates the objective function to determine the utiltiy of the implicant. This is where the actual objective function is specified.

Parameters:

  | implicantAssignments | the current assignments from which to calculate the utility based on the objective function.
  | sourceStateIndex | is an optional argument as required by BFTE

Returns:
  the utility

Reimplemented from Mers::Estimation::Discrete::ApproximateBeliefState::BSEObjectiveFunction.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/BSUObjectiveFunction.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ApproximateBeliefState/BSUObjectiveFunction.cpp